#include <common/Common.h>


#define OPENTK_LOADED_GENERIC_MSG      "FhGFS OpenToolkit loaded."

#ifdef FHGFS_OPENTK_IBVERBS
   #define OPENTK_LOADED_IBVERBS_MSG   OPENTK_LOADED_GENERIC_MSG " (ibverbs enabled)"
#else // compiled w/o ibverbs support
   #define OPENTK_LOADED_IBVERBS_MSG   OPENTK_LOADED_GENERIC_MSG
#endif


static int __init init_fhgfs_client_opentk(void)
{
   printk_fhgfs(KERN_INFO, OPENTK_LOADED_IBVERBS_MSG "\n");

   return 0;
}

static void __exit exit_fhgfs_client_opentk(void)
{
   printk_fhgfs(KERN_INFO, "FhGFS OpenToolkit unloaded.\n");
}

module_init(init_fhgfs_client_opentk)
module_exit(exit_fhgfs_client_opentk)


MODULE_LICENSE("GPL v2");
MODULE_DESCRIPTION("FhGFS parallel file system client - open toolkit (http://www.fhgfs.com)");
MODULE_AUTHOR("Fraunhofer ITWM, CC-HPC");
